Subject: Re: bug#26995: 26.0.50; emacsclient --tty FILE flashes previous frame's buffer before loading FILE

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 May 2017 20:27:14 +0300

> From: Aaron Jensen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 19 May 2017 08:44:03 -0700
> 
> > I can indeed reproduce the described behavior, but I see the same in
> > Emacs 25.2 and in Emacs 24.5.  The reason is simple: the way server.el
> > is written, we first create the client frame, and only then show the
> > file there.  So the frame is created with no file to visit, and Emacs
> > always shows the last buffer in the new frame in those cases.
> 
> I see, so not a bug then. Is it possible to (easily) improve its behavior?

It should be possible, but AFAICT it would need restructuring
server-process-filter works.